dexi {POT} | R Documentation

## Compute the Density of the Extremal Index

### Description

Compute the density of the extremal index using simulations from a fitted markov chain model.

### Usage

    dexi(x, n.sim = 1000, n.mc = length(x$data), plot = TRUE, ...)

### Arguments

`x` | A object of class `'mcpot'` - most often the returned object of the `fitmcgpd` function.
`n.sim` | The number of simulation of Markov chains.
`n.mc` | The length of the simulated Markov chains.
`plot` | Logical. If `TRUE` (default), the density of the extremal index is plotted.
`...` | Optional parameters to be passed to the `plot` function.

### Details

The Markov chains are simulated using the `simmc` function to obtained dependent realisations u_i of standard uniform realizations. Then, they are transformed to correspond to the parameter of the fitted markov chain model. Thus, if u, sigma, xi is the location, scale and shape parameters ; and lambda is the probability of exceedance of u, then by defining :

sigma_* = xi * u / (lambda^(-xi) - 1)

the realizations y_i = qgpd(u_i, 0, sigma_*, xi) are distributed such as the probability of exceedance of u is equal to lambda.

At last, the extremal index for each generated Markov chain is estimated using the estimator of Ferro and Segers (2003) (and thus avoid any declusterization).

### Value

The function returns a optionally plot of the kernel density estimate of the extremal index. In addition, the vector of extremal index estimations is returned invisibly.

### Author(s)

Mathieu Ribatet

### References

Fawcett L., and Walshaw D. (2006) Markov chain models for extreme wind speed. Environmetrics, 17:(8) 795–809.

Ferro, C. and Segers, J. (2003) Inference for clusters of extreme values. Journal of the Royal Statistical Society. Series B 65:(2) 545–556.

Ledford A., and Tawn, J. (1996) Statistics for near Independence in Multivariate Extreme Values. Biometrika, 83 169–187.

Smith, R., and Tawn, J., and Coles, S. (1997) Markov chain models for threshold exceedances. Biometrika, 84 249–268.

### See Also

`simmc`, `fitmcgpd`, `fitexi`

### Examples

    mc <- simmc(100, alpha = 0.25)
    mc <- qgpd(mc, 0, 1, 0.25)
    log <- fitmcgpd(mc, 2, shape = 0.25, scale = 1)
    dexi(log, n.sim = 100)

[Package POT version 1.1-7 Index]